package com.csc.library.factory;

import java.io.File;

import com.csc.library.properties.JsonFile;
import com.csc.library.properties.JsonFileImpl;

public class FileFtpFactory {
	private static FileFtpFactory instance;
	
	private FileFtpFactory(){
	}
	
	public static FileFtpFactory getInstance(){
		if(instance == null){
			instance = new FileFtpFactory();
		}
		return instance;
	}
	
	public JsonFile createJsonFile(File file) throws Exception{
		return new JsonFileImpl(file);
	}
	
	public JsonFile createJsonFile(String directory , String fileName , File file) throws Exception{
		return new JsonFileImpl(file ,directory , fileName);
	}
	
	public JsonFile createJsonFile(String directory , String fileName , byte[] bytes) throws Exception{
		return new JsonFileImpl(bytes ,directory , fileName);
	}
}
