package com.csc.library.gson;

import java.lang.reflect.Type;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;

public class ArrayDeserializer implements JsonDeserializer<String[]>{

	@Override
	public String[] deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context)
			throws JsonParseException {
		int size = json.getAsJsonArray().size();
		String[] result = new String[size];
		for(int i = 0; i < size; i++){
			if(json.getAsJsonArray().get(i).isJsonObject()){
				result[i] = json.getAsJsonArray().get(i).toString();
			}else{
				result[i] = json.getAsJsonArray().get(i).getAsString();
			}
			
		}
		
		return result;
	}

}
